#
# spec file for package krb5-doc (Version 1.4.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           krb5-doc
BuildRequires:  ghostscript-library latex2html te_ams
Version:        1.4.3
Release:        19.43.35
Summary:        MIT Kerberos5 Implementation--Documentation
License:        X11/MIT
Url:            http://web.mit.edu/kerberos/www/
Group:          Documentation/Other
Source:         krb5-%{version}.tar.bz2
Source1:        README.Source
Source2:        Makefile.kadm5
Patch0:         krb5-1.3.5-perlfix.dif
Patch1:         krb5-1.4.2-kadm5-doc.dif
Patch2:         krb5-1.4.3-kadm5-tex.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description 
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of clear text passwords. This package includes extended
documentation for MIT Kerberos.



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%prep
%setup -n krb5-%{version}
%patch0
%patch1
%patch2
cp %{_sourcedir}/Makefile.kadm5 %{_builddir}/krb5-%{version}/doc/kadm5/Makefile

%build

%install
rm -rf %{buildroot}
cd doc
mkdir -p html
make
make -C api
make -C implement
make -C kadm5
cd api
latex2html -dir ../html/library -mkdir library.tex
latex2html -dir ../html/libdes -mkdir libdes.tex
cd ../implement
latex2html -dir ../html/implement -mkdir implement.tex
cd ..
mv krb5-admin html/
mv krb5-install html/
mv krb5-user html/
mv krb425 html/
mv *.html html/
cd ..
find . -type f -name '*.ps' -exec gzip -9 {} \;
chmod 644 doc/man2ps
# cleanup
rm -f  %{buildroot}/usr/share/man/man1/tmac.doc*
rm -f  /usr/share/man/man1/tmac.doc*
rm -rf /usr/lib/mit/share
rm -rf %{buildroot}/usr/lib/mit/share

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*.ps.gz doc/api/*.ps.gz doc/implement/*.ps.gz doc/kadm5/*.ps.gz
%doc doc/krb5-protocol doc/kadmin 
%doc doc/html

%changelog
* Mon Mar 13 2006 mc@suse.de
- set BuildArchitectures to noarch
- set norootforbuild
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 18 2005 mc@suse.de
- update to version 1.4.3
- fix tex for kadm5 documentation (krb5-1.4.3-kadm5-tex.dif)
* Wed Oct 12 2005 mc@suse.de
- build kadm5 documentation
- build documentation also as html
- include the text only documentation
* Tue Oct 11 2005 mc@suse.de
- update to version 1.4.2
- remove some obsolet patches
* Mon Jun 27 2005 mc@suse.de
- update to version 1.4.1
- remove obsolet patches
  - krb5-1.4-VUL-0-telnet.dif
* Thu Feb 10 2005 ro@suse.de
- added libpng to neededforbuild (for tetex)
* Fri Feb  4 2005 mc@suse.de
- remove spx.c from tarball because of legal risk
- add README.Source which tell the user about this
  action.
* Fri Jan 28 2005 mc@suse.de
- update to version 1.4
* Mon Jan 10 2005 mc@suse.de
- update to version 1.3.6
* Tue Dec 14 2004 mc@suse.de
- initial release
